=== debian/changelog ===
python-cstruct (5.2-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 17 May 2023 11:53:11 +0200
