=== debian/control ===
Source: python-cstruct
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-pytest
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/andreax79/python-cstruct
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-cstruct
Vcs-Git: https://gitlab.com/kalilinux/packages/python-cstruct.git

Package: python3-cstruct
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-cstruct-doc,
Description: C-style structs for Python (Python 3)
 This package contains a C-style structs for Python. It Converts C struct/union
 definitions into Python classes with methods for serializing/deserializing.
 .
 This package installs the library for Python 3.

Package: python-cstruct-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: C-style structs for Python (common documentation)
 This package contains a C-style structs for Python. It Converts C struct/union
 definitions into Python classes with methods for serializing/deserializing.
 .
 This is the common documentation package.
